Get subscription
curl --request GET \
--url https://api.veryfront.com/account/subscription \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/account/subscription"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/account/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"server_usage": 123,
"sandbox_usage": 123,
"server_usage_details": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"short_id": "<string>",
"status": "pending",
"environment_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"environments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"project_slug": "<string>"
}
]
}
],
"line_items": [
{
"kind": "plan",
"quantity": 123,
"recurring_interval": "monthly",
"unit_amount": 123,
"currency": "<string>"
}
],
"status": "<string>",
"current_period_start": "<string>",
"current_period_end": "<string>",
"expires_at": "<string>",
"canceled_at": "<string>",
"created_at": "<string>"
}Get subscription
Returns the current authenticated user subscription.
GET
/
account
/
subscription
Get subscription
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Response
Subscription details
Subscription ID
User that owns the subscription
Project this subscription is scoped to, when applicable
Active dedicated server records for the account
Active sandbox records for the account
Active server add-on usage with linked project and environment labels
Show child attributes
Show child attributes
Subscription line items. Credits are one-time top-ups and are not included here.
Show child attributes
Show child attributes
Subscription status
Current billing period start timestamp
Current billing period end timestamp
Subscription expiration timestamp
Subscription cancellation timestamp
Subscription creation timestamp